/*
 * Copyright 2009 SpringSource
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.springsource.bundlor.support.contributors;

import static org.junit.Assert.assertNotNull;

import org.junit.Test;

import com.springsource.bundlor.util.SimpleManifestContents;
import com.springsource.util.parser.manifest.ManifestContents;

public class ToolStampManifestModifierTests {

    private final ToolStampManifestModifier modifier = new ToolStampManifestModifier();

    @Test
    public void modify() {
        ManifestContents manifestContents = new SimpleManifestContents();
        this.modifier.modify(manifestContents);
        assertNotNull(manifestContents.getMainAttributes().get("Tool"));
    }
}
